classdef SCDalgo_test < matlab.unittest.TestCase
  
  properties (Abstract=true)
    algoobj % SCD algo obj name - abstract allows modification by sub-class
  end
  
  methods (TestClassSetup)
    
    function setup_conf(testCase)
      testCase.assertWarningFree(@() SCDconf_setSIMconf);
    end
    function setup_algo(testCase)
      testCase.assertInstanceOf(testCase.algoobj,'SCDclass_algo');
    end
    
  end
  methods (Test)
    function test_callinits(testCase)
      testCase.algoobj.callinits; % calls inits defining fixed parameters etc
    end
    
    function test_setup(testCase)
      testCase.algoobj.setup; % calls possible tunable parameters
    end
    
    function test_compile(testCase)
      testCase.algoobj.compile;
    end
    
  end
  
end